Update User Role
- URL:https://<portal-url>/updateUserRole(POST only)
Description
The Update User Role operation (POST only) allows administrators of an organization to update the role of a user within a portal.
Request Parameters
|
Parameter |
Details |
|---|---|
| [Common Parameters] |
For a complete listing, see Common parameters. |
| role | The role of the user to be set. Values: org_admin (for organization administrator) | org_publisher (for organization publisher) | org_user (for organization user) | <roleId> (for custom roles) Example: role=org_publisher |
| user | The username whose role to be updated. Example: user=swilson |
Response Properties
|
Property |
Details |
|---|---|
| success |
Indicates if the operation was successful. |
Example Usage
URL for Update User Role
https://www.arcgis.com/sharing/rest/portals/LkFyxb9zDq7vAXXx/updateUserRole
JSON Response Syntax
{
"success": true | false
}
JSON Response Example
{
"success": true
}